/v1/knowledge/{kbId}/sources
POST
/v1/knowledge/{kbId}/sources
const url = 'https://service.testing.nairon.cloud/v1/knowledge/example/sources';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"type":"website","name":"example","url":"https://example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://service.testing.nairon.cloud/v1/knowledge/example/sources \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "type": "website", "name": "example", "url": "https://example.com" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”kbId
required
string format: cuid
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
id
required
string format: cuid
name
required
string
type
required
string
indexingStatus
required
string
progress
required
integer
indexing
required
string
Example
{ "type": "website", "indexingStatus": "idle", "indexing": "deferred"}